Bug 474568 - freeze for approximately 30 seconds
freeze for approximately 30 seconds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 08:56 EST by Marcela Mašláňová
Modified: 2009-11-18 07:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 07:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of freezing firefox (34.52 KB, text/plain)
2008-12-04 08:56 EST, Marcela Mašláňová
no flags Details

  None (edit)
Description Marcela Mašláňová 2008-12-04 08:56:51 EST
Created attachment 325677 [details]
backtrace of freezing firefox

Description of problem:
Firefox is sometimes freezing for longer time period. It's happening since firefox3 with or without flash application. 

Version-Release number of selected component (if applicable):
firefox-3.0.4-1.fc10.x86_64

How reproducible:
I'm not sure how could it be reproduced. Maybe the backtrace will help. After running dbg it froze immediately.

How it looks:
It could happen when I'm editing bugzilla or when I'm switching from one desktop to another.
Comment 1 Martin Stransky 2008-12-04 09:57:44 EST
Hm, it seems to hang somewhere in nss/nspr, if the backtrace is relevant...
Comment 2 Matěj Cepl 2008-12-04 13:30:02 EST
Kai, any thoughts on this?
Comment 3 Matěj Cepl 2008-12-05 11:18:26 EST
It is no excuse for us, just to note that Marcela's primary desktop is KDE.
Comment 4 Kai Engert (:kaie) 2008-12-17 17:07:07 EST
Where do you see a hang in nspr/nss? I don't see anything unusual.

Most threads wait for something to happen (waiting for pthread condition variables).

Some other threads are polling, but that doesn't seem unusual to me.
Comment 5 Kai Engert (:kaie) 2008-12-17 17:22:17 EST
Can you try to run with your extensions disabled?

The next time you run into the freeze...
- does your cpu usage go up to 100% ?
- using gdb, can you repeatedly use continue and break again, and compare the threads, in order to identity a potentially looping thread?
Comment 6 Marcela Mašláňová 2008-12-19 07:22:21 EST
Ok, I disabled all extension.
The cpu doesn't take more than usual because everything else is going just fine. I'll be waiting for another freeze.
Comment 7 Bug Zapper 2009-11-18 02:49:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Marcela Mašláňová 2009-11-18 07:04:17 EST
This was already fixed in F-11.

Note You need to log in before you can comment on or make changes to this bug.